<template>
  <section class="max-w-500 bg-100 min-h-120 m-auto p-0">
    <div v-if="isloaded">
      <Loader />
    </div>
    <div v-if="!isloaded">
      <router-view />
    </div>
  </section>
</template>

<script>
import Loader from "./components/page-loader/PageLoader.vue";
export default {
  name: "App",
  components: {
    Loader,
  },
  data: () => {
    return {
      isloaded: true,
    };
  },
  async mounted() {
    // setTimeout(() => {
    //   this.isloaded = false;
    // }, 5000);
    await new Promise((r) => setTimeout(r, 2000));
    this.isloaded = false;
  },
};
</script>
